Get task

GET
/api/v1/tasks/{id}

Get details of a specific task by its ID.

Authorization

auth ApiKey
AuthorizationBearer <token>

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

In: header

X-API-KEY<token>

Internal API key for admin endpoints. Example: "X-API-KEY: {key}"

In: header

Path Parameters

id*string

The ID of the task.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "isSuccess": true,  "error": {},  "errorDetails": "string",  "message": "string",  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "description": "string",    "project": {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "isGlobalPermissions": true    },    "isActive": true,    "sendNotifications": true,    "notifyIfError": true,    "notifyIfWarning": true,    "notifyIfSuccess": true,    "notificationRecipients": "string",    "notificationCc": "string",    "notificationBcc": "string",    "testMode": true,    "testModeRecipients": "string",    "isScheduled": true,    "lastExecution": "2019-08-24T14:15:22Z",    "owner": "534359f7-5407-4b19-ba92-c71c370022a5",    "ownerName": "string",    "isMine": true,    "canEdit": true,    "canDuplicate": true,    "canDelete": true,    "canRun": true,    "canSetPermissions": true  },  "resultInfo": {    "page": 0,    "perPage": 0,    "totalCount": 0,    "totalPages": 0,    "hasPreviousPage": true,    "hasNextPage": true  }}